Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class Importance

    java.lang.Object
      com.compoze.domino.Importance

All Implemented Interfaces:
  java.io.Serializable

public class Importance
extends java.lang.Object
implements java.io.Serializable

This class stores the values for an 'importance'. The internationalizable string values are stored in the `domino_resources.properties` file (accessed through `DominoProperties`) and referenced by their key.

See Also:
  Serialized Form

Field Summary
`static Importance` | `HIGH` This value represents a 'high' importance.
`static Importance` | `LOW` This value represents a 'low' importance.
`static Importance` | `NORMAL` This value represents a 'normal' importance.
`static int` | `STORE_VALUE_HIGH` This value represents the 'high' store value.
`static int` | `STORE_VALUE_LOW` This value represents the 'low' store value.
`static int` | `STORE_VALUE_NORMAL` This value represents the 'normal' store value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static Importance` | `get(int iStoreValue)` Gets the importance by the store value.
`static java.util.List` | `getList()` Gets the list of importance objects.
`java.lang.String` | `getName()` Gets the name of the importance using the system default locale.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the importance using the specified locale.
`int` | `getStoreValue()` Gets the store value used to store the importance in the storage system.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`java.lang.String` | `toString()` Returns a string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STORE_VALUE_LOW

    public static final int STORE_VALUE_LOW

  This value represents the 'low' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_NORMAL

    public static final int STORE_VALUE_NORMAL

  This value represents the 'normal' store value.

  See Also:
    Constant Field Values

### STORE_VALUE_HIGH

    public static final int STORE_VALUE_HIGH

  This value represents the 'high' store value.

  See Also:
    Constant Field Values

### LOW

    public static final Importance LOW

  This value represents a 'low' importance.

### NORMAL

    public static final Importance NORMAL

  This value represents a 'normal' importance.

### HIGH

    public static final Importance HIGH

  This value represents a 'high' importance.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name of the importance using the system default locale.

  Returns:
    the name

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the importance using the specified locale.

  Parameters:
    `locale` - the locale
  Returns:
    the name

### getStoreValue

    public int getStoreValue()

  Gets the store value used to store the importance in the storage system.

  Returns:
    the store value

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### get

    public static Importance get(int iStoreValue)

  Gets the importance by the store value.

  Parameters:
    `iStoreValue` - the store value to get by
  Returns:
    the matching importance or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of importance objects.

  Returns:
    the list of `Importance` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The store value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same store value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns a string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns a string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.